it-swarm.com.de

ADT muss aktualisiert werden, findet jedoch kein Update

Heute habe ich API8 aus dem SDK-Manager installiert, zuvor habe ich nur mit API14 gearbeitet. Nachdem der SDK-Manager fertig war und ADT neu gestartet wurde, trat folgende Fehlermeldung auf:

Für dieses Android SDK ist Android Developer Toolkit Version 21.1.0 und höher erforderlich. Die aktuelle Version ist 21.0.1.2012-12-6-2-58.

Also klicke ich um Updates zu finden aber ich bekomme "keine Updates gefunden".

Ich habe folgendes getan:

  • Verwenden Sie den SDK-Manager, um Android SDK-Tools (Version 21.1) neu zu installieren.

  • Verwenden Sie den SDK-Manager, um API8 und API14 erneut zu installieren.

Immer noch nicht los :(

41
wyldcard

Ich hatte das gleiche Problem. Bitte versuchen Sie Folgendes in Eclipse

Hilfe -> Neue Software installieren

Wählen Sie dann "Android Developer Tools-Update-Site - http://dl-ssl.google.com/Android/Eclipse/ " aus der Dropdown-Liste und aktualisieren Sie das ADT

WENN DIESER FEHLER WIRFT Gefällt mir

Es wurde kein Repository gefunden, das Folgendes enthält: osgi.bundle, com.Android.ide.Eclipse.adt, 21.1.0.v201302060044-569685

Ändern Sie http: in https:

Beispiel: https://dl-ssl.google.com/Android/Eclipse/

Und dann aktualisieren Sie ADT. Diese Methode hat bei mir funktioniert.

47
A machan

Dieses Problem tritt auf, wenn Ihre Eclipse ADT-Plug-In-Version nicht mit Ihrer SDK-Tools-Version übereinstimmt.

Haben Sie versucht, das ADT-Plugin in Eclipse zu aktualisieren?

Hilfe -> Neue Software installieren und dann die ADT-Update-Site verwenden sollte funktionieren.

Wenn Sie ein No Respository Found Fehler bei Verwendung dieser Site, sollten Sie stattdessen die HTTPS-Version verwenden.

Wenn Sie immer noch Probleme bei der Installation haben, können Sie das Zip-Standalone-Programm herunterladen und manuell installieren. Die neuesten Zip- und Installationsanweisungen finden Sie auf der Seite ADT Troubleshooting.

44
Sean O'Toole

Wenn Problem in "http".

  • 1) Hilfe -> "Neue Software installieren" -> "Verfügbare Software-Sites"
  • 2) Klicken Sie auf "Android Developer Tools Update Site".
  • 3) Klicken Sie auf "Bearbeiten"
  • 4) Ändern Sie "http" in "https"
  • 5) Klicken Sie auf "Ok" -> "Ok"
  • 6) Versuchen Sie das Update erneut.
12
aviomaksim

Ich habe alle hier genannten Methoden ausprobiert, aber immer noch ohne Erfolg. Was schließlich geholfen hat, war der Tipp von Kein Repository-Fehler bei der Installation von ADT in Eclipse Indigo gefunden :

Deaktivieren Sie "Kontaktieren Sie alle Update-Sites während der Installation, um die erforderliche Software zu finden".

8
rumpel

sie sollten Ihr ADT folgendermaßen auf die neueste Version aktualisieren.

Eclipse -> Rufen Sie die Hilfe auf -> Neue Software installieren -> Hinzufügen -> In Repository hinzufügen. Schreiben Sie Name = "ADT" (wie gewünscht) und Location = "https://dl-ssl.google.com/ Android/Eclipse/"-> Nach dem Laden erhalten Sie einige Male Developer Tools & NDK Plugins -> Markiert beide, wenn Sie NDK als zukünftige Version verwenden installieren möchten. Markiert nur Developer Tool -> Klicken Sie auf Weiter -> Fertig stellen.

Danach können Sie Ihr SDK auf die neueste Version aktualisieren.

Hoffe es wird helfen.

7

Erhielt auch dieses, von ADT 22.3 bis 23.

Nicht sicher, was Eclipse davon abhält, die Updates zu finden (möglicherweise wurden einige IDs geändert oder ähnliches), aber Die Lösung besteht darin, die ADT-Plug-Ins mithilfe von Hilfe -> Neue Software installieren auszuwählen keine Notwendigkeit, die URL von https zu http oder umgekehrt zu korrigieren. Der Assistent teilt Ihnen mit, dass es eine Reihe von Konflikten gibt, die dazu führen, dass die alten Versionen der Plugins entfernt werden.

UPD Wie es scheint (da mindestens eine Person die Antwort abgelehnt hat), funktioniert die Installation einer neuen Version nicht für alle. Hier ist der zugehörige Fehler , bei dem es heißt, dass die alte Installation von Exclipse/ADT hoffnungslos nicht aktualisierbar ist und man einfach das neue Bundle herunterladen sollte, um dieses Problem zu beheben.

PS Wie auch immer, du solltest jetzt Android= Studio verwenden. Verglichen mit Eclipse ist es ein Gedächtnisschwein und hat ein sehr Anderes Feeling und andere Tastenkombinationen, aber (so sehr ich es hasse zu sagen, dass es sich schon lange um einen gekuschelten Eclipse-Benutzer handelt) es ist viel besser, zumindest für = Android Entwicklung.

4
Ivan Bartsov

Gleiches Problem hier, aber zum Glück ist es jetzt behoben. Die Hilfe-> Installation neuer Software und der Android Tool Manager haben nicht geholfen.

Ich habe das ADT-Bundle erneut heruntergeladen und es einfach über die fehlerhafte Installation kopiert. Es funktioniert jetzt.

3
Tibor Szasz

Ich hatte letztes Wochenende das gleiche Problem. Gehen Sie zu Hilfe-> Neue Software installieren. Hier verwenden Sie Android Developer Tools Update Site-URL - http://dl-ssl.google.com/Android/Eclipse/ , zwei Optionen sollten angezeigt werden und ich kann ' Ich weiß nicht, welches ich wählen soll;) (Es sollte das mit DEV sein.)

Ich denke nicht, dass es notwendig ist, aber bevor ich die gesamte Eclipse mit ADT entfernt und heruntergeladen habe. Es sollte aber nicht notwendig sein.

2
Amio.io